%define name kxmleditor
%define version 1.1.4
%define release 2mdk
%define major 1
%define libname lib%{name}%{major}


Summary: 	Kxmleditor
Name:   	%name
Version: 	%version
Release: 	%release
Url:		http://kxmleditor.sourceforge.net

Source0: 	%{name}-%{version}.tar.bz2
Patch2:		kxmleditor-fix-compile.patch.bz2
License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	XFree86-libs Mesa-common arts
BuildRequires:	jpeg-devel kdelibs-devel  
BuildRequires:	freetype2 mng-devel png-devel qt3-devel
BuildRequires:	rpm-build
BuildRequires:  fam-devel
BuildRequires:  png-devel
Obsoletes:	xmlexplorer
Provides:	xmlexplorer
Requires:	%libname = %version-%release


%description
Kxmleditor is simple program, that display and edit contents of XML file. 
Left side contain tree with XML document structure, right side contain list 
of attributes for selected XML element and its contents. 

%package -n %libname
Group: System/Libraries
Summary: Libraries need by kxmleditors
Provides: lib%name = %version

%description -n %libname
Libraries need by kxmleditors

%package -n %libname-devel
Group: Development/Other
Summary: Development libraries from kxmleditor
Provides: lib%name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
Development libraries from kxmleditor

%prep

%setup  -q
#%patch2 -p1 -b .fix_compile_gcc_3_4

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt3\
		    --disable-rpath \
		    --disable-debug \
	            --enable-final \
		    --enable-share

make clean

%make

%install
make install prefix=%buildroot/%_prefix



install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Applications/Publishing" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/*.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

%find_lang %{name} 

%clean
rm -fr %buildroot

%post
%{update_menus}
 
%postun
%{clean_menus} 

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
#
%dir %_docdir/HTML/en/%{name}/
%doc %_docdir/HTML/en/%{name}/*.png
%doc %_docdir/HTML/en/%{name}/*.docbook
%doc %_docdir/HTML/en/%{name}/*.bz2
%doc %_docdir/HTML/en/%{name}/common
#
%dir %_datadir/apps/
%dir %_datadir/apps/%name/
%_datadir/apps/%name/*rc
%dir %_datadir/apps/%name/pics/
%_datadir/apps/%name/pics/*.png
%dir %_datadir/apps/%name/icons/
%dir %_datadir/apps/%name/icons/hicolor/
%dir %_datadir/apps/%name/icons/hicolor/16x16/
%dir %_datadir/apps/%name/icons/hicolor/16x16/actions/
%_datadir/apps/%name/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/%name/icons/hicolor/22x22/
%dir %_datadir/apps/%name/icons/hicolor/22x22/actions/
%_datadir/apps/%name/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/%name/icons/hicolor/32x32/
%dir %_datadir/apps/%name/icons/hicolor/32x32/actions/
%_datadir/apps/%name/icons/hicolor/32x32/actions/*.png

%dir %_datadir/apps/%name/icons/locolor/
%dir %_datadir/apps/%name/icons/locolor/16x16/
%dir %_datadir/apps/%name/icons/locolor/16x16/actions/
%_datadir/apps/%name/icons/locolor/16x16/actions/*.png
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Applications/
%_datadir/applnk/Applications/*
#
#
%dir %_iconsdir/hicolor/
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*
#
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*
#
#
%_menudir/*  

%_datadir/services/*.desktop

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*
%_libdir/*.la

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/*.so


%changelog
* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.4-2mdk
- Fix build on x86_64

* Mon Dec 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Mon Jul 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-3mdk
- rebuild 

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-2mdk
- Rebuild

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-1mdk
- 1.0 

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix requires

* Mon Nov 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-5mdk
- Rebuild

* Mon Nov 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.2-4mdk
- fix missing files
- add real menu entry
- libidification

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-3mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-2mdk
- Rebuild against gcc3.2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- New version
- Fix compile with gcc-3.1

* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-2mdk
- Fix spec file
- Make rpmlint happy

* Thu Oct 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- Update code (0.7.1)

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Rebuild against libpng3

* Mon Oct 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- Update code (0.7)

* Mon Sep 10 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Fix entry menu

* Thu Sep 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- Update code (0.6)

* Thu Jul 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- Update code (0.5)

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4-1mdk
- package renamed : xmlexplorer -> kxmleditor

* Mon Jul 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.3-1mdk
- Initial package
